﻿using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Encodings.PermutationEncoding;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Problems.LinearOrdering
{
    interface IMatrixTriangulationEvaluator : ILOPEvaluator
    {
        ILookupParameter<Permutation> PermutationParameter { get; }
        ILookupParameter<DoubleMatrix> MatrixParameter { get; }
        ILookupParameter<Permutation> BestKnownSolutionParameter { get; }
        ILookupParameter<DoubleValue> BestKnownQualityParameter { get; }
    }
}
